var si_callback;
function siReadInfo(callback) {
    si_callback = callback;
    window.external.SIRead("SI_getback");
}

function SI_getback(json) {
    alert(si_callback);
    si_callback(json);
}

var sin_read_callback;

function Read_SINcard(data, callback) {
    sin_read_callback = callback;
    window.external.SIN_read("Read_SIN_callback");
}

function Read_SIN_callback(json) {
    sin_read_callback(json)
}